---
#
#      Copyright (c) 2022 Pensando Systems
#      All rights reserved.
#
#      author: Pensando - Technical Business Development Team
#
#      Demonstration of how to insert a rule at a particular line number in a policy
#
#      usage:
#
#             To demo pushing an update to an existing policy by inserting a new row at the specified line number
#
#               ./policy_update_insert_row.yml
#
#
- hosts: localhost
  gather_facts: False

  vars_files:
  - '{{ playbook_dir }}/vars/add_vars.yml'

  tasks:
    - name: Test Network Security Policy Update, insert rule
      dss_network_security_policy_update:
        state: present
        policy_name: '{{ psm.policy_name }}'
        tenant: default
        psm_user: '{{ psm.username }}'
        psm_password: '{{ psm.passwd }}'
        psm_host: '{{ psm.ip }}'
        attach_tenant: true
        strict: true
        rules:
          - proto_ports:
             - protocol: tcp
               ports: '333'
            action: permit
            row: 2
            from_ip_addresses:
             - 11.11.10.10
            to_ip_addresses:
             - 22.22.20.20
